package com.pjilisense.flxai.dao;

import com.pjilisense.flxai.base.dao.BaseDao;
import com.pjilisense.flxai.entity.FilesEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.Map;

/**
 * ${comments}
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2025-01-14
 */
@Mapper
public interface FilesDao extends BaseDao<FilesEntity> {

    int modifyFileName(Map<String, Object> objectToMap);

    int modifyFileStatus(Map<String, Object> objectToMap);

    int modifyFileCategory(Map<String, Object> objectToMap);
}